Skip to main content
`Ctrl`+`K`

# PFGetOptionsPrefix

Gets the prefix used for searching for all `PF` options in the database.

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFGetOptionsPrefix(PF pf, const char *prefix[])

Not Collective

## Input Parameter

- pf - the `PF`

## Output Parameter

- prefix - pointer to the prefix string used, is returned

## See Also

KSP: Linear System Solvers, `PF`, `PFSetFromOptions()`, `PFSetOptionsPrefix()`, `PFAppendOptionsPrefix()`

## Level

advanced

## Location

src/vec/pf/interface/pf.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages